import React, { Fragment, useState } from 'react';
import { Row, Col, Space } from 'antd';
import {  } from '@/assets/images';
import NameCard2 from '@/components/NameCard2';
import PersonCard from './personCard';

export default function RegisInfoModule(props) {
  const [personView, setPersonView] = useState(false)
  const [personId, setPersonId] = useState('')

  const handlePersonDetail = (id) => {
    setPersonId(id)
    setPersonView(true)
  }

  return (
    <Fragment>
      <Col span={24} style={{ display: 'flex', alignItems: 'center', margin: '12px 0px 4px 0px' }}>
        <Space size='small'>
          <div className='MediationInfo-subTitle' style={{ marginTop: '-9px' }}></div><h4>登记信息</h4>
        </Space>
      </Col>
      <Row gutter={[16, 16]} >
        <Col span={8}>
          <div className="title">
            <div className="title-text">登记机构</div>
          </div>
          <div>{props.caseInfo?.inputUnitName || '-'}</div>
        </Col>
        <Col span={8}>
          <div className="title">
            <div className="title-text">登记人</div>
          </div>
          <div>
            <NameCard2 name={props.caseInfo?.inputUserName} userId={props.caseInfo?.inputUserId} />
          </div>
        </Col>
        <Col span={8}>
          <div className="title">
            <div className="title-text">登记时间</div>
          </div>
          <div>{props.caseInfo?.createTime || '-'}</div>
        </Col>
      </Row>
      <PersonCard personView={personView} handleCancel={() => setPersonView(false)} personId={personId} />
    </Fragment>
  )
}
